﻿.gallerySection {
    padding: 0rem 2rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: FordAntennaMedium;
    color: #212529;
}

.gallery-wrapper {
    align-items: center;
    padding: 0rem 2rem;
}

.gallery-swiper {
    width: 100%;
    height: 100%;
}

.gallerySlide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mobile-image-container {
    margin-top: 2rem;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-mobile {
    display: none;
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

    .gallerySection {
        margin-top: 0.5rem;
    }

        .gallerySection h1 {
            margin-bottom: 28px;
        }

    .gallery-swiper {
        display: none;
    }

    .gallery-mobile {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-content: center;
        justify-content: center;
        align-items: center;
        gap: 0.5rem;
    }

    .mobile-image-container {
        margin-top: 0.5rem;
        max-width: 100%;
    }

    .gallery-image-mobile {
        max-width: 100%;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .gallery-swiper {
        display: block;
    }

    .gallery-mobile {
        display: none;
    }

    .gallerySection h1 {
        margin-bottom: 28px;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    .gallery-swiper {
        display: block;
    }

    .gallery-mobile {
        display: none;
    }

    .gallerySection h1 {
        margin-bottom: 28px;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    .gallery-swiper {
        display: block;
    }

    .gallery-mobile {
        display: none;
    }

    .gallerySection {
        margin-top: 1rem;
    }

        .gallerySection h1 {
            margin-bottom: 28px;
        }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    .gallery-swiper {
        display: block;
    }

    .gallery-mobile {
        display: none;
    }

    .gallerySection {
        margin-top: 1rem;
    }

        .gallerySection h1 {
            margin-bottom: 28px;
        }
}

@media (min-width: 1440px) {
    .gallerySection {
        padding: 0rem 75px;
    }
}

@media (min-width: 1500px) {
    .gallerySection {
        padding: 0rem 100px;
    }
}

@media (min-width: 1600px) {
    .gallerySection {
        padding: 0rem 150px;
    }
}

@media (min-width: 1700px) {
    .gallerySection {
        padding: 0rem 175px;
    }

    @media (min-width: 1920px) {
        .gallerySection {
            padding: 0rem 200px;
        }
    }
}
